# -*- coding: utf-8 -*-
# Simple clock module to describe Zope 3 internals.
# Copyright (C) 2008 Dmitry Vasiliev <dima@hlabs.spb.ru>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

__author__ = "Dmitry Vasiliev <dima@hlabs.spb.ru>"

u"""Представления часов."""

from pytz import timezone

from zope.publisher.browser import BrowserView


class ClockView(BrowserView):
    u"""Представление для даты и времени."""

    msk = timezone("Europe/Moscow")

    def datetime(self):
        utc_dt = self.context.getCurrentDateTime()
        formatter = self.request.locale.dates.getFormatter("dateTime", "long")
        msk_dt = self.msk.fromutc(utc_dt)
        return formatter.format(msk_dt)
