# -*- coding: utf-8 -*-
# Simple clock module to describe Zope 3 internals.
# Copyright (C) 2008 Dmitry Vasiliev <dima@hlabs.spb.ru>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

__author__ = "Dmitry Vasiliev <dima@hlabs.spb.ru>"

u"""Классы реализующие часы."""

from datetime import datetime
from pytz import timezone

from zope.interface import implements

from clock.interfaces import IClock


class Clock(object):
    u"""Часы."""

    implements(IClock)

    utc = timezone("UTC")

    def getCurrentDateTime(self):
        u"""Вернуть datetime объект с текущими датой и временем в UTC."""
        return datetime.now(self.utc)
